Subject: bug#70679: 29.3; emacs menu doesn't redraw properly

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Apr 2024 20:40:01 +0300

> From: Chris BSomething <[email-masked]>
> Date: Wed, 1 May 2024 01:11:15 +0800
> 
> Often I'm seeing the behavior in emacs that an area at the top of the
> window.... the menu area basically, does not redraw properly. So instead
> of seeing the emacs menu, I see garbage which is basically the visual contents
> of other applications on the screen.
> 
> Oh, the menu still seems to work. If I click where the menu ought to be,
> menus come up. But when they disappear again, the same garbage remains.
> 
> The normal things that one might expect to remedy a redrawing
> glitch... i.e. resizing the window, or covering it up and uncovering
> again, do not help.
> 
> I've seen it happen a number of times, so it's not a one off glitch.
> 
> Using emacs 29.3 as in the latest Arch Linux. I'm using Xwindows
> KDE. I'm using dual monitors, not that that should matter (unless it
> somehow gets confused by the whole resolution thing).

This all sounds to me like some problem with your video driver.  If
there's some "optimization" features the driver offers, try disabling
them.